package com.jy.framework.model.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 记录异常信息事件
 */
@Getter
public class ExceptionEvent extends ApplicationEvent {

    private final Exception exception;

    public ExceptionEvent(Exception exception) {
        super(ExceptionEvent.class);
        this.exception = exception;
    }

}
